#include <bits/stdc++.h>
using namespace std;
using ll = long long;
using pll = pair<ll,ll>;
void solve(){
    cout <<(1<<31);
    exit(0);
    ll n,k;
    cin >>n >>k;
    vector<ll> cnt(32), ok(32);
    ll ans = 0;
    vector<vector<ll>> v(32,vector<ll>(n));
    for(ll i = 0 ; i < n; i++){
        ll x;
        cin >>x;
        for(ll j = 0; j < 32; j++){
            v[j][i] = (i&(1<<j));
            cnt[j] += v[i][j];
        }
    }
    for(ll i = 31; i >= 0; i--){
        if(cnt[i] >= k){
            bool sigma = 1;
            for(auto x : ok){
                ll count = 0,hmm = 0;
                for(ll j = 0; j < n; j++){
                    if(v[i][j]){
                        hmm &= 1;
                    }
                    if(v[x][j]){
                        hmm &= 2;
                    }
                    if(hmm == 3){
                        hmm = 0;
                        count++;
                        if(count >= k){
                            break;
                        }
                    }
                }
                if(count < k){
                    sigma = 0;
                    break;
                }
            }
            if(sigma){
                ok.push_back(i);
                ans += (1<<i);
            }
        }
    }
    cout <<ans <<"\n";
}
signed main(){
    cin.tie(0); cout.tie(0); ios::sync_with_stdio(false);
    ll tc = 1;
    //cin >>tc;
    while(tc--){
        solve();
    }
}
